<?php

session_start(); 
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php

if($_POST['bot'] == ""){
	echo '<h2>!!! EL REGISTRO NO TIENE CLAVE VERIFIQUE... ACTUALIZANDO !!!</h2>';
	echo '<meta content="10; url=CA50000_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}
 
	include('CA50000_CL.php');

	$varible_clase = new clase();
	$varible_clase->id_catprom = strtoupper($_POST["bot"]);
	$varible_clase->nom = strtoupper($_POST["nom"]);
	$varible_clase->ape_pat = strtoupper($_POST["ape_pat"]);
	$varible_clase->ape_mat = strtoupper($_POST["ape_mat"]);
	$varible_clase->rfc = strtoupper($_POST["rfc"]);
	$varible_clase->dom = strtoupper($_POST["dom"]);
	$varible_clase->pais = strtoupper($_POST["pais"]);
	$varible_clase->edo = strtoupper($_POST["edo"]);
	$varible_clase->delmun = strtoupper($_POST["delmun"]);
	$varible_clase->col = strtoupper($_POST["col"]);
	$varible_clase->cod_pos = strtoupper($_POST["cod_pos"]);
	$varible_clase->tel = strtoupper($_POST["tel"]);
	$varible_clase->otr_tel = strtoupper($_POST["otr_tel"]);
	$varible_clase->e_mail = strtoupper($_POST["e_mail"]);	
	$varible_clase->zon_ate = strtoupper($_POST["zon_ate"]);
	$varible_clase->dom_des = strtoupper($_POST["dom_des"]);
	$varible_clase->ref_cot = strtoupper($_POST["ref_cot"]);

	if($_POST["bot"]!=$_POST["bot"])
		$res=$varible_clase->revisar();
	if($res != "ok"){
		$res=$varible_clase->modificar($_POST["bot"]);
		if($res == "ok"){
			echo '<h2>!!! SE MODIFICO EL REGISTRO... ACTUALIZANDO !!!</h2>';
			echo '<meta content="1; url=CA50000_PR.php"  HTTP-EQUIV="REFRESH">';
		}
		else{
			echo '<h2>!!! NO SE HA PODIDO MODIFICAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
			echo $res;
			echo '<meta content="20; url=CA50000_PR.php" HTTP-EQUIV="REFRESH">';
		}
	}else{
		echo '<h2>!!! NO SE HA PODIDO MODIFICAR EL REGISTRO, Ya existe clave... ACTUALIZANDO !!!</h2>';
		echo $res;
		echo '<meta content="1; url=CA50000_PR.php" HTTP-EQUIV="REFRESH">';
	}    		
?>
</body>
</html>